Subject: Re: What's cooking in git.git (Sep 2010, #07; Wed, 29)

From: Joshua Jensen <[email-masked]>
Date: Sat, 02 Oct 2010 22:36:36 -0600

----- Original Message -----
From: Junio C Hamano
Date: 9/29/2010 6:16 PM
> * jj/icase-directory (2010-08-16) 6 commits
>   - Support case folding in git fast-import when core.ignorecase=true
>   - Support case folding for git add when core.ignorecase=true
>   - Add case insensitivity support when using git ls-files
>   - Add case insensitivity support for directories when using git status
>   - Case insensitivity support for .gitignore via core.ignorecase
>   - Add string comparison functions that respect the ignore_case variable.
>
> Depends on GNU FNM_CASEFOLD.  Presumably a bit of tweak in Makefile for
> non-windows but non-GNU platforms is all it takes?
I posted a new series with an alternate solution for fnmatch that 
doesn't rely on GNU FNM_CASEFOLD.  Hopefully, this one is okay.

I have begun working on tests, but I'm still trying to pick through 
basic shell scripting and then determine how the existing test suite works.

Josh